extends GunkNode
## Triggers other components when destroyed.

@onready var mesh_instance_3d: MeshInstance3D = %MeshInstance3D


func _process(delta: float) -> void:
	super._process(delta)
	# TODO proper animation
	var mat: StandardMaterial3D = mesh_instance_3d.mesh.surface_get_material(0)
	mat.emission_energy_multiplier = pct_damage()
